LINUX.ORG.RU

Совместимость драйверов nvidia и ядер

 , , ,


0

1

У меня openSUSE Tumbleweed и видеокарта от nvidia. Проприетарный драйвер на неё я беру с оф.сайта. Бывает ситуация, когда новый драйвер оказывается несовместим со свежим ядром, а ядра в роллинге обновляются с завидной регулярностью. Приходится откатываться на старое ядро из других реп, что весьма не удобно. Как я могу узнать совместим драйвер с ядром или нет ещё до его установки, чтобы обойтись без лишнего пердолинга.

Навеяно постом одного чувака:

Nvidia Vulkan Beta Driver 418.52.05, 418.52.07 and 418.52.10 don't build kernel modules with Kernel 5.0.7+ With my Kernel Linux 5.1.6 the only method for compile is: sh NVIDIA-Linux-x86_64-418.52.10.run --no-unified-memory --no-drm

Где-то же он об этом узнал...


Последний блоб поддерживает последнее стабильное ядро. Отклонения от этого случаются очень редко.

Nvidia Vulkan Beta Driver 418.52.05

Это не последний блоб, а отстающая ветка для тестирования расширений вулкана.

anonymous ()
Ответ на: комментарий от iKido

Ну тогда поддержка ядра там та же, что а базовой версии 418.52 на которой он основан.

anonymous ()

У меня openSUSE Tumbleweed и видеокарта от nvidia. Проприетарный драйвер на неё я беру с оф.сайта.

Молодец так дальше и поступай.

anonymous ()

Я делаю так, когда не компилируется модуль ядра, ищу патч. Патч либо на форуме нвидии выкладывают, либо еще где прям вот так и пишу «nvidia-340 kernel 5.0 patch»

irton ★★★★★ ()

выше писали. Повторюсь: используй то, что даёт мейнтейнер. Если есть причины ставить custom - читай.

n1rdeks ()
Ответ на: комментарий от eternal_sorrow

ну не готовят мейнтейнеры эту ветку (вулкановскую бету), а в ней всякие вкусности для proton, dxvk и d9vk.

iKido ()
Ответ на: комментарий от iKido

ну не готовят мейнтейнеры эту ветку (вулкановскую бету), а в ней всякие вкусности для proton, dxvk и d9vk.

А в чем проблема исправить src.rpm от нормальных дров на те кторые "не готовят майнтрейнеры"?

init_6 ★★★★★ ()

Где-то же он об этом узнал...

Взял пакет драйвера и исходники ядра нужных версий, попробовал собрать модуль этого драйвера с этим ядром командой `make что-то там`.

Citramonum ★★ ()

как обойтись без лишнего пердолинга

успевать покупать новый девайс с новой видеокартой, к каждому выходу нового драйвера или нового ядра

# uname -a
Linux ws 5.1.7-gentoo ...
# nvidia-smi
NVIDIA-SMI 430.14 Driver Version: 430.14 CUDA Version: 10.2
# gcc --version
gcc (Gentoo 8.3.0-r1 p1.1) 8.3.0
# nvcc --version
Cuda compilation tools, release 10.1, V10.1.168

И работает же без красноглазия на патчи уже давно!

Deleted ()
Последнее исправление: Deleted (всего исправлений: 3 )
Ответ на: комментарий от Deleted

Жырно

Linux localhost 5.2.0-rc1

С картой пред-предыдущего поколения.

anonymous ()

чтобы обойтись без лишнего пердолинга.

Ты чо, это же не Unix way!

e000xf000h ()

Парни парни, какие мейнтейнеры, к чёрту? Для опенсусе драйвер скачивается с сайта нвидиа. В том числе для Tumbleweed. Это совершенно нормально, так и должно быть, инжерены NVIDIA всегда заботятся о поддержании работоспособности железок в самых последних ядрах (не rc, те постоянно ломаются). Только там 430.14, не знаю, где ОП нашёл ту старую ветку, её там больше нет.

anonymous ()
Ответ на: комментарий от anonymous

Это совершенно нормально, так и должно быть

Это для винды нормально, а для Линукса это прыжки на граблях

Deleted ()
Ответ на: комментарий от anonymous

Парни парни, какие мейнтейнеры, к чёрту?

Те самвые которые опакечивая блоб nvidia в формат пакетного манагера дистрибутива стоят на страже чистоты, чистых волос без перхоти, кариеса и положительного настроения бабушек.

init_6 ★★★★★ ()
Ответ на: комментарий от iKido

А, так это эксперименты на старой версии без поддержки. Не запакованный для opensuse и они всегда отстают. Обычный драйвер был 418, теперь 430 берите его. Либо 390 (418 была с улучшениями вулкана, но отставала от 390 функционально), 430 ещё больше улучшений вулкана, только все они касаются в основном последнего поколения карт (Turing) и в дикой природе будут не нужны ещё лет 10.

anonymous ()
Ответ на: комментарий от anonymous

Нет, исправления драйвера вулкана общие для всех. Не путай с расширениями для рейтрейсинга.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.